> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cardholder Transactions

> Retrieve the combined statement across a cardholder's cards.

Returns the transaction history across all of a cardholder's cards.

> Card endpoints use the same base URL and API key as the rest of the API, and are signature-gated:
> send `X-Numero-Signature` and `X-Numero-Signature-Version: v2` as well. See [Request signing](/03-request-signing).

## Endpoint

```
GET /api/v1/business/cardholders/{customerId}/transactions
```

**Signature required:** Yes

## Headers

| Header                       | Required | Description                                                                                                                                                                    |
| ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Numero-Api-Key`           | Yes      | Your API key                                                                                                                                                                   |
| `X-Numero-Signature`         | Yes      | Base64 HMAC-SHA256 over the exact raw request body (POST) or the canonicalised query string (GET), keyed with your **Public Key**. See [Request signing](/03-request-signing). |
| `X-Numero-Signature-Version` | Yes      | Always `v2`.                                                                                                                                                                   |

## Path parameters

| Parameter    | Type   | Required | Description       |
| ------------ | ------ | -------- | ----------------- |
| `customerId` | string | Yes      | The cardholder id |

## Request example

```bash theme={null}
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/cardholders/NCUS9953596C2B7F45/transactions" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2"
```

## Response

```json theme={null}
{
  "data": {
    "cardReference": "NCUS9953596C2B7F45",
    "transactions": [
      {
        "reference": "CTXN-0001",
        "type": "Settlement",
        "amount": 9.99,
        "currency": "USD",
        "status": "Successful",
        "description": "ACME SaaS",
        "merchantName": "ACME",
        "merchantId": "MID123",
        "network": "Visa",
        "country": "US",
        "occurredAt": "2026-06-16T12:00:00Z"
      }
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```
